#
# Cookbook Name:: sockethub
# Recipe:: default
#
# Copyright 2015, Kosmos
#
# All rights reserved - Do Not Redistribute
#

include_recipe 'kosmos-nodejs'

include_recipe 'kosmos-redis'

application "sockethub" do
  path "/srv/sockethub"
  owner "www-data"
  group "www-data"

  action :deploy

  repository 'https://github.com/sockethub/sockethub.git'
  revision   'experimental_v1_0'

  nodejs do
    entry_point '/srv/sockethub/current/bin/sockethub'
    # Use our own systemd service that depends on redis-server
    template 'nodejs.systemd.service.erb'
    environment 'DEBUG' => '*',
                'PORT' => node['sockethub']['port']
  end
end

